# _MapDeleted
<span class="source-link">[[Source]](src/collections/map.md#L2)</span>
```pony
primitive val _MapDeleted
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections/map.md#L2)</span>


```pony
new val create()
: _MapDeleted val^
```

#### Returns

* [_MapDeleted](collections-_MapDeleted) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/collections/map.md#L4)</span>


```pony
fun box eq(
  that: _MapDeleted val)
: Bool val
```
#### Parameters

*   that: [_MapDeleted](collections-_MapDeleted) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/collections/map.md#L4)</span>


```pony
fun box ne(
  that: _MapDeleted val)
: Bool val
```
#### Parameters

*   that: [_MapDeleted](collections-_MapDeleted) val

#### Returns

* [Bool](builtin-Bool) val

---

